package com.fs.hisStore.service;

import com.fs.hisStore.domain.FsFamousPrescribeScrm;
import com.fs.hisStore.param.FsFamousPrescribeListUParam;
import com.fs.hisStore.vo.FsFamousPrescribeExecelVO;
import com.fs.hisStore.vo.FsFamousPrescribeListUVO;
import com.fs.hisStore.vo.FsFamousPrescribeListVO;

import java.util.List;

/**
 * 经典名方Service接口
 *
 * @author fs
 * @date 2023-10-23
 */
public interface IFsFamousPrescribeScrmService
{
    /**
     * 查询经典名方
     *
     * @param id 经典名方主键
     * @return 经典名方
     */
    public FsFamousPrescribeScrm selectFsFamousPrescribeById(Long id);

    /**
     * 查询经典名方列表
     *
     * @param fsFamousPrescribe 经典名方
     * @return 经典名方集合
     */
    public List<FsFamousPrescribeScrm> selectFsFamousPrescribeList(FsFamousPrescribeScrm fsFamousPrescribe);

    /**
     * 新增经典名方
     *
     * @param fsFamousPrescribe 经典名方
     * @return 结果
     */
    public int insertFsFamousPrescribe(FsFamousPrescribeScrm fsFamousPrescribe);

    /**
     * 修改经典名方
     *
     * @param fsFamousPrescribe 经典名方
     * @return 结果
     */
    public int updateFsFamousPrescribe(FsFamousPrescribeScrm fsFamousPrescribe);

    /**
     * 批量删除经典名方
     *
     * @param ids 需要删除的经典名方主键集合
     * @return 结果
     */
    public int deleteFsFamousPrescribeByIds(Long[] ids);

    /**
     * 删除经典名方信息
     *
     * @param id 经典名方主键
     * @return 结果
     */
    public int deleteFsFamousPrescribeById(Long id);


    List<FsFamousPrescribeListVO> selectFsFamousPrescribeListVO(FsFamousPrescribeScrm fsFamousPrescribe);

    String importData(List<FsFamousPrescribeExecelVO> list);

    List<FsFamousPrescribeListUVO> selectFsFamousPrescribeListUVO(FsFamousPrescribeListUParam param);
}
